Subject: Re: h_errno.
From: [email-masked]
To: David Robinow <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Apr 2000 11:46:05 -0400

On Wed, Apr 19, 2000 at 07:44:04AM -0700, David Robinow wrote:
> --- Jens Yllman <[email-masked]> wrote:
> > [...]
> > And I get errors at link-time that h_errno does not
> > not exist. [...]
>
>  It's a bug in wget. It fails to include errno.h
> and netdb.h in several places. I have a patched
> version but not on a machine I currently have
> access to.  You should be able to fix it yourself
> by including errno.h whenever "errno" is used and
> netdb.h whenever "h_errno" is used.

I believe ftp.c and http.c are the only files that need tweaking.
errno.h actually is included in 1.5.3, but not netdb.h.

-Kevin

--
Want to unsubscribe from this list?
Send a message to [email-masked]